<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>MainWindow</class>
 <widget class="QMainWindow" name="MainWindow">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>1100</width>
    <height>809</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>Valentina</string>
  </property>
  <property name="windowIcon">
   <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
    <normaloff>:/icon/64x64/icon64x64.png</normaloff>:/icon/64x64/icon64x64.png</iconset>
  </property>
  <property name="locale">
   <locale language="Saho" country="Eritrea"/>
  </property>
  <widget class="QWidget" name="centralWidget">
   <layout class="QHBoxLayout" name="horizontalLayout">
    <item>
     <widget class="QToolBox" name="toolBox">
      <property name="enabled">
       <bool>true</bool>
      </property>
      <property name="sizePolicy">
       <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
        <horstretch>1</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <property name="minimumSize">
       <size>
        <width>140</width>
        <height>0</height>
       </size>
      </property>
      <property name="font">
       <font>
        <pointsize>10</pointsize>
       </font>
      </property>
      <property name="toolTip">
       <string>Use these tools to create a pattern</string>
      </property>
      <property name="currentIndex">
       <number>0</number>
      </property>
      <widget class="QWidget" name="page">
       <property name="geometry">
        <rect>
         <x>0</x>
         <y>0</y>
         <width>126</width>
         <height>282</height>
        </rect>
       </property>
       <property name="sizePolicy">
        <sizepolicy hsizetype="Expanding" vsizetype="Maximum">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="toolTip">
        <string>Tools for creating points.</string>
       </property>
       <attribute name="icon">
        <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
         <normaloff>:/icon/16x16/toolsectionpoint.png</normaloff>:/icon/16x16/toolsectionpoint.png</iconset>
       </attribute>
       <attribute name="label">
        <string>Point</string>
       </attribute>
       <attribute name="toolTip">
        <string>Point</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout_8">
        <item row="0" column="0">
         <widget class="QToolButton" name="toolButtonPointerPoint">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Tool pointer</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
            <normaloff>:/icon/32x32/arrow_cursor.png</normaloff>:/icon/32x32/arrow_cursor.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="0">
         <widget class="QToolButton" name="toolButtonEndLine">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point at distance and angle</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/segment.png</normaloff>:/toolicon/32x32/segment.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="1">
         <widget class="QToolButton" name="toolButtonAlongLine">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point at distance along line</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/along_line.png</normaloff>:/toolicon/32x32/along_line.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="2" column="0">
         <widget class="QToolButton" name="toolButtonNormal">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point along perpendicular</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/normal.png</normaloff>:/toolicon/32x32/normal.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="2" column="1">
         <widget class="QToolButton" name="toolButtonBisector">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point along bisector</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/bisector.png</normaloff>:/toolicon/32x32/bisector.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="3" column="0">
         <widget class="QToolButton" name="toolButtonShoulderPoint">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Special point on shoulder</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/shoulder.png</normaloff>:/toolicon/32x32/shoulder.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="3" column="1">
         <widget class="QToolButton" name="toolButtonTriangle">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Triangle tool</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/triangle.png</normaloff>:/toolicon/32x32/triangle.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="4" column="0">
         <widget class="QToolButton" name="toolButtonPointOfIntersection">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point from X and Y of two other points</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/point_of_intersection.png</normaloff>:/toolicon/32x32/point_of_intersection.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="4" column="1">
         <widget class="QToolButton" name="toolButtonHeight">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Perpendicular point along line</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/height.png</normaloff>:/toolicon/32x32/height.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="5" column="0">
         <widget class="QToolButton" name="toolButtonLineIntersectAxis">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point intersect line and axis</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/line_intersect_axis.png</normaloff>:/toolicon/32x32/line_intersect_axis.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="5" column="1">
         <widget class="QToolButton" name="toolButtonMidpoint">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Midpoint between two points</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/midpoint.png</normaloff>:/toolicon/32x32/midpoint.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_2">
       <property name="geometry">
        <rect>
         <x>0</x>
         <y>0</y>
         <width>140</width>
         <height>108</height>
        </rect>
       </property>
       <property name="sizePolicy">
        <sizepolicy hsizetype="Expanding" vsizetype="Maximum">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="toolTip">
        <string>Tools for creating lines.</string>
       </property>
       <attribute name="icon">
        <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
         <normaloff>:/icon/16x16/toolsectionline.png</normaloff>:/icon/16x16/toolsectionline.png</iconset>
       </attribute>
       <attribute name="label">
        <string>Line</string>
       </attribute>
       <attribute name="toolTip">
        <string>Line</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout_2">
        <item row="0" column="0">
         <widget class="QToolButton" name="toolButtonPointerLine">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Tool pointer</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
            <normaloff>:/icon/32x32/arrow_cursor.png</normaloff>:/icon/32x32/arrow_cursor.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="2" column="0">
         <widget class="QToolButton" name="toolButtonLine">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Line between points</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/line.png</normaloff>:/toolicon/32x32/line.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="2" column="1">
         <widget class="QToolButton" name="toolButtonLineIntersect">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point at line intersection</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/intersect.png</normaloff>:/toolicon/32x32/intersect.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_3">
       <property name="geometry">
        <rect>
         <x>0</x>
         <y>0</y>
         <width>126</width>
         <height>243</height>
        </rect>
       </property>
       <property name="sizePolicy">
        <sizepolicy hsizetype="Expanding" vsizetype="Maximum">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="toolTip">
        <string>Tools for creating curves.</string>
       </property>
       <attribute name="icon">
        <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
         <normaloff>:/icon/16x16/toolsectioncurve.png</normaloff>:/icon/16x16/toolsectioncurve.png</iconset>
       </attribute>
       <attribute name="label">
        <string>Curve</string>
       </attribute>
       <attribute name="toolTip">
        <string>Curve</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout_3">
        <item row="1" column="1">
         <widget class="QToolButton" name="toolButtonSplineCutPoint">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Segmenting a simple curve</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/spline_cut_point.png</normaloff>:/toolicon/32x32/spline_cut_point.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="3" column="0">
         <widget class="QToolButton" name="toolButtonCubicBezier">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Curve tool which uses point as control handle</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/cubic_bezier.png</normaloff>:/toolicon/32x32/cubic_bezier.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="3" column="1">
         <widget class="QToolButton" name="toolButtonSplinePath">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Curved path</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/splinePath.png</normaloff>:/toolicon/32x32/splinePath.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="4" column="0">
         <widget class="QToolButton" name="toolButtonSplinePathCutPoint">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Segment a curved path</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/splinePath_cut_point.png</normaloff>:/toolicon/32x32/splinePath_cut_point.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="4" column="1">
         <widget class="QToolButton" name="toolButtonCubicBezierPath">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Curved path tool which uses point as control handle</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/cubic_bezier_path.png</normaloff>:/toolicon/32x32/cubic_bezier_path.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="5" column="0">
         <widget class="QToolButton" name="toolButtonIntersectionCurves">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point intersection curves</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/intersection_curves.png</normaloff>:/toolicon/32x32/intersection_curves.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="5" column="1">
         <widget class="QToolButton" name="toolButtonCurveIntersectAxis">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point intersect curve and axis</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/curve_intersect_axis.png</normaloff>:/toolicon/32x32/curve_intersect_axis.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="0" column="0">
         <widget class="QToolButton" name="toolButtonPointerCurve">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Tool pointer</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
            <normaloff>:/icon/32x32/arrow_cursor.png</normaloff>:/icon/32x32/arrow_cursor.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="0">
         <widget class="QToolButton" name="toolButtonSpline">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Simple curve</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/spline.png</normaloff>:/toolicon/32x32/spline.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_4">
       <property name="geometry">
        <rect>
         <x>0</x>
         <y>0</y>
         <width>126</width>
         <height>282</height>
        </rect>
       </property>
       <property name="sizePolicy">
        <sizepolicy hsizetype="Expanding" vsizetype="Maximum">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="toolTip">
        <string>Tools for creating arcs.</string>
       </property>
       <attribute name="icon">
        <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
         <normaloff>:/icon/16x16/toolsectionarc.png</normaloff>:/icon/16x16/toolsectionarc.png</iconset>
       </attribute>
       <attribute name="label">
        <string>Arc</string>
       </attribute>
       <attribute name="toolTip">
        <string>Arc</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout_4">
        <item row="0" column="0">
         <widget class="QToolButton" name="toolButtonPointerArc">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Tool pointer</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
            <normaloff>:/icon/32x32/arrow_cursor.png</normaloff>:/icon/32x32/arrow_cursor.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="0">
         <widget class="QToolButton" name="toolButtonArc">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Arc</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/arc.png</normaloff>:/toolicon/32x32/arc.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="1">
         <widget class="QToolButton" name="toolButtonArcCutPoint">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Segment an arc</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/arc_cut.png</normaloff>:/toolicon/32x32/arc_cut.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="2" column="0">
         <widget class="QToolButton" name="toolButtonArcIntersectAxis">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point of intersection arc and axis</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/arc_intersect_axis.png</normaloff>:/toolicon/32x32/arc_intersect_axis.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="2" column="1">
         <widget class="QToolButton" name="toolButtonPointOfIntersectionArcs">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point of intersection arcs</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/point_of_intersection_arcs.png</normaloff>:/toolicon/32x32/point_of_intersection_arcs.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="3" column="0">
         <widget class="QToolButton" name="toolButtonPointOfIntersectionCircles">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point of intersection circles</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/point_of_intersection_circles.png</normaloff>:/toolicon/32x32/point_of_intersection_circles.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="3" column="1">
         <widget class="QToolButton" name="toolButtonPointFromCircleAndTangent">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point from circle and tangent</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/point_from_circle_and_tangent.png</normaloff>:/toolicon/32x32/point_from_circle_and_tangent.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="4" column="0">
         <widget class="QToolButton" name="toolButtonPointFromArcAndTangent">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point from arc and tangent</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/point_from_arc_and_tangent.png</normaloff>:/toolicon/32x32/point_from_arc_and_tangent.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="4" column="1">
         <widget class="QToolButton" name="toolButtonArcWithLength">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Arc with given length</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/arc_with_length.png</normaloff>:/toolicon/32x32/arc_with_length.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="5" column="0">
         <widget class="QToolButton" name="toolButtonPointOfContact">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Point of intersection circle and segment</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/point_of_contact.png</normaloff>:/toolicon/32x32/point_of_contact.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_8">
       <property name="geometry">
        <rect>
         <x>0</x>
         <y>0</y>
         <width>140</width>
         <height>102</height>
        </rect>
       </property>
       <property name="sizePolicy">
        <sizepolicy hsizetype="Expanding" vsizetype="Maximum">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="toolTip">
        <string>Tools for creating elliptical arcs.</string>
       </property>
       <attribute name="icon">
        <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
         <normaloff>:/icon/16x16/toolsectionelarc.png</normaloff>:/icon/16x16/toolsectionelarc.png</iconset>
       </attribute>
       <attribute name="label">
        <string>Elliptical Arc</string>
       </attribute>
       <attribute name="toolTip">
        <string>Elliptical Arc</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout_9">
        <item row="0" column="0">
         <widget class="QToolButton" name="toolButtonPointerEllipticalArc">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Tool pointer</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
            <normaloff>:/icon/32x32/arrow_cursor.png</normaloff>:/icon/32x32/arrow_cursor.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="0">
         <widget class="QToolButton" name="toolButtonEllipticalArc">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Elliptical Arc</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/el_arc.png</normaloff>:/toolicon/32x32/el_arc.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_7">
       <property name="geometry">
        <rect>
         <x>0</x>
         <y>0</y>
         <width>126</width>
         <height>237</height>
        </rect>
       </property>
       <attribute name="icon">
        <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
         <normaloff>:/icon/16x16/operations.png</normaloff>:/icon/16x16/operations.png</iconset>
       </attribute>
       <attribute name="label">
        <string>Operations</string>
       </attribute>
       <attribute name="toolTip">
        <string>Operations</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout_7">
        <item row="0" column="0">
         <widget class="QToolButton" name="toolButtonPointerOperations">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Tool pointer</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
            <normaloff>:/icon/32x32/arrow_cursor.png</normaloff>:/icon/32x32/arrow_cursor.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="0">
         <widget class="QToolButton" name="toolButtonGroup">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Create new group</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/group_plus.png</normaloff>:/toolicon/32x32/group_plus.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="1">
         <widget class="QToolButton" name="toolButtonRotation">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Rotate objects</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/rotation.png</normaloff>:/toolicon/32x32/rotation.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="2" column="0">
         <widget class="QToolButton" name="toolButtonFlippingByLine">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Flipping objects by line</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/flipping_line.png</normaloff>:/toolicon/32x32/flipping_line.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="2" column="1">
         <widget class="QToolButton" name="toolButtonFlippingByAxis">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Flipping objects by axis</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/flipping_axis.png</normaloff>:/toolicon/32x32/flipping_axis.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="3" column="0">
         <widget class="QToolButton" name="toolButtonMove">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Move objects</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/move.png</normaloff>:/toolicon/32x32/move.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="3" column="1">
         <widget class="QToolButton" name="toolButtonTrueDarts">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>True darts</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/true_darts.png</normaloff>:/toolicon/32x32/true_darts.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="4" column="0">
         <widget class="QToolButton" name="toolButtonExportDraw">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Draw export</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
            <normaloff>:/icon/32x32/export_to_picture_document.png</normaloff>:/icon/32x32/export_to_picture_document.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="detailPage">
       <property name="geometry">
        <rect>
         <x>0</x>
         <y>0</y>
         <width>126</width>
         <height>237</height>
        </rect>
       </property>
       <property name="sizePolicy">
        <sizepolicy hsizetype="Expanding" vsizetype="Maximum">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="toolTip">
        <string>Tools for creating details.</string>
       </property>
       <attribute name="icon">
        <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
         <normaloff>:/icon/16x16/toolsectiondetail.png</normaloff>:/icon/16x16/toolsectiondetail.png</iconset>
       </attribute>
       <attribute name="label">
        <string>Detail</string>
       </attribute>
       <attribute name="toolTip">
        <string>Detail</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout_5">
        <item row="0" column="0">
         <widget class="QToolButton" name="toolButtonPointerDetail">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Tool pointer</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
            <normaloff>:/icon/32x32/arrow_cursor.png</normaloff>:/icon/32x32/arrow_cursor.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="0">
         <widget class="QToolButton" name="toolButtonNewDetail">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Workpiece tool</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/new_detail.png</normaloff>:/toolicon/32x32/new_detail.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="1" column="1">
         <widget class="QToolButton" name="toolButtonUnionDetails">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Union tool</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/union.png</normaloff>:/toolicon/32x32/union.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="2" column="0">
         <widget class="QToolButton" name="toolButtonInternalPath">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Internal path tool</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/path.png</normaloff>:/toolicon/32x32/path.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="2" column="1">
         <widget class="QToolButton" name="toolButtonPin">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Pin tool</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/pin.png</normaloff>:/toolicon/32x32/pin.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="3" column="0">
         <widget class="QToolButton" name="toolButtonInsertNode">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Insert node tool</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/insert_node.png</normaloff>:/toolicon/32x32/insert_node.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="3" column="1">
         <widget class="QToolButton" name="toolButtonDetailExportAs">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Export details skiping the Layout stage</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
            <normaloff>:/icon/32x32/export_to_picture_document.png</normaloff>:/icon/32x32/export_to_picture_document.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="4" column="0">
         <widget class="QToolButton" name="toolButtonPlaceLabel">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Place label tool</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/place_label.png</normaloff>:/toolicon/32x32/place_label.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="4" column="1">
         <widget class="QToolButton" name="toolButtonDuplicateDetail">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Duplicate detail tool</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="share/resources/toolicon.qrc">
            <normaloff>:/toolicon/32x32/duplicate_detail.png</normaloff>:/toolicon/32x32/duplicate_detail.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="layoutPage">
       <property name="geometry">
        <rect>
         <x>0</x>
         <y>0</y>
         <width>140</width>
         <height>168</height>
        </rect>
       </property>
       <attribute name="icon">
        <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
         <normaloff>:/icon/16x16/toolsectionlayout.png</normaloff>:/icon/16x16/toolsectionlayout.png</iconset>
       </attribute>
       <attribute name="label">
        <string>Layout</string>
       </attribute>
       <attribute name="toolTip">
        <string>Layout</string>
       </attribute>
       <layout class="QFormLayout" name="formLayout_6">
        <property name="fieldGrowthPolicy">
         <enum>QFormLayout::AllNonFixedFieldsGrow</enum>
        </property>
        <item row="0" column="0">
         <widget class="QToolButton" name="toolButtonLayoutSettings">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Create new Layout</string>
          </property>
          <property name="text">
           <string>Settings</string>
          </property>
          <property name="icon">
           <iconset theme="emblem-system">
            <normaloff>.</normaloff>.</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
        <item row="0" column="1">
         <widget class="QToolButton" name="toolButtonLayoutExportAs">
          <property name="enabled">
           <bool>false</bool>
          </property>
          <property name="toolTip">
           <string>Export original layout</string>
          </property>
          <property name="text">
           <string notr="true">...</string>
          </property>
          <property name="icon">
           <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
            <normaloff>:/icon/32x32/export_to_picture_document.png</normaloff>:/icon/32x32/export_to_picture_document.png</iconset>
          </property>
          <property name="iconSize">
           <size>
            <width>32</width>
            <height>32</height>
           </size>
          </property>
          <property name="checkable">
           <bool>true</bool>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
     </widget>
    </item>
    <item>
     <widget class="VMainGraphicsView" name="view">
      <property name="enabled">
       <bool>false</bool>
      </property>
      <property name="sizePolicy">
       <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
        <horstretch>5</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <property name="verticalScrollBarPolicy">
       <enum>Qt::ScrollBarAlwaysOn</enum>
      </property>
      <property name="horizontalScrollBarPolicy">
       <enum>Qt::ScrollBarAlwaysOn</enum>
      </property>
     </widget>
    </item>
   </layout>
  </widget>
  <widget class="QMenuBar" name="menuBar">
   <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
     <width>1100</width>
     <height>22</height>
    </rect>
   </property>
   <widget class="QMenu" name="menuFile">
    <property name="title">
     <string>&amp;File</string>
    </property>
    <widget class="QMenu" name="menuLayout">
     <property name="title">
      <string>Layout</string>
     </property>
     <addaction name="actionPrintPreview"/>
     <addaction name="actionPrint"/>
     <addaction name="separator"/>
     <addaction name="actionPrintPreviewTiled"/>
     <addaction name="actionPrintTiled"/>
     <addaction name="separator"/>
     <addaction name="actionExportAs"/>
    </widget>
    <addaction name="actionNew"/>
    <addaction name="actionOpen"/>
    <addaction name="actionSave"/>
    <addaction name="actionSaveAs"/>
    <addaction name="separator"/>
    <addaction name="menuLayout"/>
    <addaction name="separator"/>
    <addaction name="actionPreferences"/>
    <addaction name="actionPattern_properties"/>
    <addaction name="separator"/>
    <addaction name="actionLabelTemplateEditor"/>
    <addaction name="separator"/>
    <addaction name="actionExit"/>
   </widget>
   <widget class="QMenu" name="menuHelp">
    <property name="title">
     <string>&amp;Help</string>
    </property>
    <addaction name="actionReportBug"/>
    <addaction name="actionShop"/>
    <addaction name="actionAbout_Qt"/>
    <addaction name="actionAbout_Valentina"/>
   </widget>
   <widget class="QMenu" name="menuPatternPiece">
    <property name="title">
     <string>&amp;Pattern piece</string>
    </property>
    <addaction name="actionNewDraw"/>
    <addaction name="actionOptionDraw"/>
    <addaction name="actionZoomIn"/>
    <addaction name="actionZoomOut"/>
    <addaction name="actionZoomFitBest"/>
    <addaction name="actionZoomFitBestCurrent"/>
    <addaction name="actionZoomOriginal"/>
    <addaction name="separator"/>
    <addaction name="actionPreviousPatternPiece"/>
    <addaction name="actionNextPatternPiece"/>
    <addaction name="separator"/>
    <addaction name="actionIncreaseLabelFont"/>
    <addaction name="actionDecreaseLabelFont"/>
    <addaction name="actionOriginalLabelFont"/>
    <addaction name="actionHideLabels"/>
    <addaction name="separator"/>
    <addaction name="actionLast_tool"/>
    <addaction name="actionShowCurveDetails"/>
    <addaction name="actionShowMainPath"/>
   </widget>
   <widget class="QMenu" name="menuMeasurements">
    <property name="title">
     <string>Measurements</string>
    </property>
    <addaction name="actionOpenTape"/>
    <addaction name="actionEditCurrent"/>
    <addaction name="separator"/>
    <addaction name="actionUnloadMeasurements"/>
    <addaction name="actionLoadIndividual"/>
    <addaction name="actionLoadMultisize"/>
    <addaction name="actionSyncMeasurements"/>
    <addaction name="separator"/>
    <addaction name="actionTable"/>
    <addaction name="actionExportIncrementsToCSV"/>
    <addaction name="separator"/>
    <addaction name="actionFinalMeasurements"/>
    <addaction name="actionExportFinalMeasurementsToCSV"/>
   </widget>
   <widget class="QMenu" name="menuWindow">
    <property name="title">
     <string>Window</string>
    </property>
    <addaction name="actionClosePattern"/>
   </widget>
   <widget class="QMenu" name="menuHistory">
    <property name="title">
     <string>History</string>
    </property>
    <addaction name="actionHistory"/>
    <addaction name="actionExportRecipe"/>
   </widget>
   <widget class="QMenu" name="menuMode">
    <property name="title">
     <string>Mode</string>
    </property>
    <addaction name="actionDraw"/>
    <addaction name="actionDetails"/>
    <addaction name="actionLayout"/>
   </widget>
   <widget class="QMenu" name="menuWatermark">
    <property name="title">
     <string>Watermark</string>
    </property>
    <addaction name="actionWatermarkEditor"/>
    <addaction name="actionEditCurrentWatermark"/>
    <addaction name="separator"/>
    <addaction name="actionLoadWatermark"/>
    <addaction name="actionRemoveWatermark"/>
   </widget>
   <widget class="QMenu" name="menuManual_Layout">
    <property name="title">
     <string>Manual Layout</string>
    </property>
    <addaction name="actionOpenPuzzle"/>
    <addaction name="actionCreateManualLayout"/>
    <addaction name="actionUpdateManualLayout"/>
   </widget>
   <addaction name="menuFile"/>
   <addaction name="menuPatternPiece"/>
   <addaction name="menuMode"/>
   <addaction name="menuMeasurements"/>
   <addaction name="menuHistory"/>
   <addaction name="menuWatermark"/>
   <addaction name="menuManual_Layout"/>
   <addaction name="menuWindow"/>
   <addaction name="menuHelp"/>
  </widget>
  <widget class="QToolBar" name="mainToolBar">
   <property name="font">
    <font>
     <pointsize>10</pointsize>
    </font>
   </property>
   <property name="windowTitle">
    <string>Toolbar files</string>
   </property>
   <property name="toolButtonStyle">
    <enum>Qt::ToolButtonTextUnderIcon</enum>
   </property>
   <attribute name="toolBarArea">
    <enum>TopToolBarArea</enum>
   </attribute>
   <attribute name="toolBarBreak">
    <bool>false</bool>
   </attribute>
   <addaction name="actionNew"/>
   <addaction name="actionOpen"/>
   <addaction name="actionSave"/>
   <addaction name="actionSyncMeasurements"/>
  </widget>
  <widget class="QStatusBar" name="statusBar"/>
  <widget class="QToolBar" name="toolBarStages">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="font">
    <font>
     <pointsize>10</pointsize>
    </font>
   </property>
   <property name="windowTitle">
    <string>ToolBar modes</string>
   </property>
   <property name="toolButtonStyle">
    <enum>Qt::ToolButtonTextUnderIcon</enum>
   </property>
   <attribute name="toolBarArea">
    <enum>TopToolBarArea</enum>
   </attribute>
   <attribute name="toolBarBreak">
    <bool>false</bool>
   </attribute>
   <addaction name="actionDraw"/>
   <addaction name="actionDetails"/>
   <addaction name="actionLayout"/>
  </widget>
  <widget class="QToolBar" name="toolBarDraws">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="font">
    <font>
     <pointsize>10</pointsize>
    </font>
   </property>
   <property name="windowTitle">
    <string>Toolbar pattern</string>
   </property>
   <property name="toolButtonStyle">
    <enum>Qt::ToolButtonTextUnderIcon</enum>
   </property>
   <attribute name="toolBarArea">
    <enum>TopToolBarArea</enum>
   </attribute>
   <attribute name="toolBarBreak">
    <bool>false</bool>
   </attribute>
   <addaction name="actionNewDraw"/>
  </widget>
  <widget class="QToolBar" name="toolBarOption">
   <property name="font">
    <font>
     <pointsize>10</pointsize>
    </font>
   </property>
   <property name="windowTitle">
    <string>Toolbar options</string>
   </property>
   <property name="toolButtonStyle">
    <enum>Qt::ToolButtonTextUnderIcon</enum>
   </property>
   <attribute name="toolBarArea">
    <enum>BottomToolBarArea</enum>
   </attribute>
   <attribute name="toolBarBreak">
    <bool>false</bool>
   </attribute>
  </widget>
  <widget class="QToolBar" name="toolBarTools">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="font">
    <font>
     <pointsize>10</pointsize>
    </font>
   </property>
   <property name="windowTitle">
    <string>Toolbar tools</string>
   </property>
   <property name="toolButtonStyle">
    <enum>Qt::ToolButtonTextUnderIcon</enum>
   </property>
   <attribute name="toolBarArea">
    <enum>TopToolBarArea</enum>
   </attribute>
   <attribute name="toolBarBreak">
    <bool>false</bool>
   </attribute>
   <addaction name="actionZoomIn"/>
   <addaction name="actionZoomOut"/>
   <addaction name="actionZoomFitBest"/>
  </widget>
  <widget class="QDockWidget" name="dockWidgetToolOptions">
   <property name="minimumSize">
    <size>
     <width>125</width>
     <height>41</height>
    </size>
   </property>
   <property name="windowTitle">
    <string>Tool options</string>
   </property>
   <attribute name="dockWidgetArea">
    <number>2</number>
   </attribute>
   <widget class="QWidget" name="dockWidgetContents_10"/>
  </widget>
  <widget class="QDockWidget" name="dockWidgetLayoutPages">
   <property name="features">
    <set>QDockWidget::NoDockWidgetFeatures</set>
   </property>
   <property name="allowedAreas">
    <set>Qt::RightDockWidgetArea</set>
   </property>
   <property name="windowTitle">
    <string>Layout pages</string>
   </property>
   <attribute name="dockWidgetArea">
    <number>2</number>
   </attribute>
   <widget class="QWidget" name="dockWidgetContents">
    <layout class="QVBoxLayout" name="verticalLayout">
     <item>
      <widget class="QListWidget" name="listWidget">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="frameShape">
        <enum>QFrame::StyledPanel</enum>
       </property>
       <property name="frameShadow">
        <enum>QFrame::Sunken</enum>
       </property>
       <property name="tabKeyNavigation">
        <bool>true</bool>
       </property>
       <property name="showDropIndicator" stdset="0">
        <bool>false</bool>
       </property>
       <property name="iconSize">
        <size>
         <width>150</width>
         <height>200</height>
        </size>
       </property>
       <property name="movement">
        <enum>QListView::Static</enum>
       </property>
       <property name="flow">
        <enum>QListView::TopToBottom</enum>
       </property>
       <property name="isWrapping" stdset="0">
        <bool>false</bool>
       </property>
       <property name="resizeMode">
        <enum>QListView::Adjust</enum>
       </property>
       <property name="spacing">
        <number>10</number>
       </property>
       <property name="viewMode">
        <enum>QListView::IconMode</enum>
       </property>
      </widget>
     </item>
    </layout>
   </widget>
  </widget>
  <widget class="QDockWidget" name="dockWidgetGroups">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="toolTip">
    <string/>
   </property>
   <property name="windowTitle">
    <string>Group</string>
   </property>
   <attribute name="dockWidgetArea">
    <number>2</number>
   </attribute>
   <widget class="QWidget" name="dockWidgetContents_2"/>
  </widget>
  <widget class="QDockWidget" name="dockWidgetMessages">
   <property name="floating">
    <bool>false</bool>
   </property>
   <property name="windowTitle">
    <string>Pattern messages</string>
   </property>
   <attribute name="dockWidgetArea">
    <number>8</number>
   </attribute>
   <widget class="QWidget" name="dockWidgetContents_4">
    <layout class="QVBoxLayout" name="verticalLayout_2">
     <item>
      <layout class="QHBoxLayout" name="horizontalLayout_2">
       <item>
        <widget class="QToolButton" name="toolButtonClearMessages">
         <property name="toolTip">
          <string>Clear all messages</string>
         </property>
         <property name="text">
          <string notr="true">...</string>
         </property>
         <property name="icon">
          <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
           <normaloff>:/icon/16x16/broom@2x.png</normaloff>:/icon/16x16/broom@2x.png</iconset>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QToolButton" name="toolButtonAutoRefresh">
         <property name="toolTip">
          <string>Auto refresh the list with each parse</string>
         </property>
         <property name="text">
          <string notr="true">...</string>
         </property>
         <property name="icon">
          <iconset theme="view-refresh">
           <normaloff>.</normaloff>.</iconset>
         </property>
         <property name="checkable">
          <bool>true</bool>
         </property>
         <property name="checked">
          <bool>false</bool>
         </property>
        </widget>
       </item>
       <item>
        <widget class="VLineEdit" name="lineEditMessagesFilter">
         <property name="sizePolicy">
          <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
           <horstretch>0</horstretch>
           <verstretch>0</verstretch>
          </sizepolicy>
         </property>
         <property name="minimumSize">
          <size>
           <width>1</width>
           <height>0</height>
          </size>
         </property>
         <property name="placeholderText">
          <string>Filter</string>
         </property>
         <property name="clearButtonEnabled">
          <bool>true</bool>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QToolButton" name="toolButtonMessagesZoomInFont">
         <property name="toolTip">
          <string>Zoom in</string>
         </property>
         <property name="text">
          <string notr="true">...</string>
         </property>
         <property name="icon">
          <iconset theme="zoom-in">
           <normaloff>.</normaloff>.</iconset>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QToolButton" name="toolButtonMessagesZoomOutFont">
         <property name="toolTip">
          <string>Zoom out</string>
         </property>
         <property name="text">
          <string notr="true">...</string>
         </property>
         <property name="icon">
          <iconset theme="zoom-out">
           <normaloff>.</normaloff>.</iconset>
         </property>
        </widget>
       </item>
       <item>
        <spacer name="horizontalSpacer">
         <property name="orientation">
          <enum>Qt::Horizontal</enum>
         </property>
         <property name="sizeType">
          <enum>QSizePolicy::Expanding</enum>
         </property>
         <property name="sizeHint" stdset="0">
          <size>
           <width>40</width>
           <height>20</height>
          </size>
         </property>
        </spacer>
       </item>
      </layout>
     </item>
     <item>
      <widget class="VPlainTextEdit" name="plainTextEditPatternMessages">
       <property name="readOnly">
        <bool>true</bool>
       </property>
       <property name="maximumBlockCount">
        <number>500</number>
       </property>
      </widget>
     </item>
    </layout>
   </widget>
  </widget>
  <action name="actionNew">
   <property name="icon">
    <iconset theme="document-new">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>New</string>
   </property>
   <property name="iconText">
    <string>&amp;New</string>
   </property>
   <property name="toolTip">
    <string>Create a new pattern</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+N</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionOpen">
   <property name="icon">
    <iconset theme="document-open">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Open</string>
   </property>
   <property name="iconText">
    <string>&amp;Open</string>
   </property>
   <property name="toolTip">
    <string>Open file with pattern</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+O</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionSave">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="document-save">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Save</string>
   </property>
   <property name="iconText">
    <string>&amp;Save</string>
   </property>
   <property name="toolTip">
    <string>Save pattern</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+S</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionSaveAs">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="document-save-as">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Save &amp;As…</string>
   </property>
   <property name="toolTip">
    <string>Save not yet saved pattern</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+Shift+S</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionDraw">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="checked">
    <bool>true</bool>
   </property>
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
     <normaloff>:/icon/32x32/draw.png</normaloff>:/icon/32x32/draw.png</iconset>
   </property>
   <property name="text">
    <string>Draw</string>
   </property>
   <property name="toolTip">
    <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Mode for working with pattern pieces. These pattern pieces are base for going to the next stage &amp;quot;Details mode&amp;quot;. Before you will be able to enable the &amp;quot;Details mode&amp;quot; need create at least one detail.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+W</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionDetails">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
     <normaloff>:/icon/32x32/kontur.png</normaloff>:/icon/32x32/kontur.png</iconset>
   </property>
   <property name="text">
    <string>Details</string>
   </property>
   <property name="toolTip">
    <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Mode for working with details. Before you will be able to enable the &amp;quot;Details mode&amp;quot; need create at least one detail on the stage &amp;quot;Draw mode&amp;quot;. Details created on this stage will be used for creating a layout. &lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+E</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionArrowTool">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="checked">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
     <normaloff>:/icon/32x32/arrow_cursor.png</normaloff>:/icon/32x32/arrow_cursor.png</iconset>
   </property>
   <property name="text">
    <string>Pointer</string>
   </property>
   <property name="toolTip">
    <string>Pointer tools</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
  </action>
  <action name="actionNewDraw">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
     <normaloff>:/icon/32x32/new_draw.png</normaloff>:/icon/32x32/new_draw.png</iconset>
   </property>
   <property name="text">
    <string>New pattern piece</string>
   </property>
   <property name="toolTip">
    <string>Add new pattern piece</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+Shift+N</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionOptionDraw">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
     <normaloff>:/icon/32x32/option_draw.png</normaloff>:/icon/32x32/option_draw.png</iconset>
   </property>
   <property name="text">
    <string>Config pattern piece</string>
   </property>
   <property name="toolTip">
    <string>Change the label of pattern piece</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionTable">
   <property name="checkable">
    <bool>false</bool>
   </property>
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
     <normaloff>:/icon/32x32/table.png</normaloff>:/icon/32x32/table.png</iconset>
   </property>
   <property name="text">
    <string>Variables Table</string>
   </property>
   <property name="toolTip">
    <string>Contains information about increments and internal variables</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+T</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionHistory">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
     <normaloff>:/icon/32x32/history.png</normaloff>:/icon/32x32/history.png</iconset>
   </property>
   <property name="text">
    <string>History</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+H</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionLayout">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
     <normaloff>:/icon/32x32/layout.png</normaloff>:/icon/32x32/layout.png</iconset>
   </property>
   <property name="text">
    <string>Layout</string>
   </property>
   <property name="toolTip">
    <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Mode for creating a layout of details. This mode avaliable if was created at least one detail on the stage &amp;quot;Details mode&amp;quot;. The layout can be exported to your prefered file format and saved to your harddirve.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+L</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionAbout_Qt">
   <property name="text">
    <string>About &amp;Qt</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::AboutQtRole</enum>
   </property>
  </action>
  <action name="actionAbout_Valentina">
   <property name="icon">
    <iconset theme="help-about">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>&amp;About Valentina</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::AboutRole</enum>
   </property>
  </action>
  <action name="actionExit">
   <property name="icon">
    <iconset theme="application-exit">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>E&amp;xit</string>
   </property>
   <property name="toolTip">
    <string>Exit the application</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+Q</string>
   </property>
   <property name="menuRole">
    <enum>QAction::QuitRole</enum>
   </property>
  </action>
  <action name="actionPreferences">
   <property name="text">
    <string>Preferences</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::PreferencesRole</enum>
   </property>
  </action>
  <action name="actionPattern_properties">
   <property name="text">
    <string>Pattern properties</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionZoomIn">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-in">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Zoom in</string>
   </property>
   <property name="toolTip">
    <string>zoom in</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionZoomOut">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-out">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Zoom out</string>
   </property>
   <property name="toolTip">
    <string>Zoom out</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionZoomOriginal">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-original">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Original zoom</string>
   </property>
   <property name="toolTip">
    <string>Original zoom</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionZoomFitBest">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-fit-best">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Zoom fit best</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+=</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionReportBug">
   <property name="text">
    <string>Report Bug…</string>
   </property>
   <property name="toolTip">
    <string>Report bug</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionClosePattern">
   <property name="text">
    <string>Close pattern</string>
   </property>
   <property name="iconText">
    <string>Close pattern</string>
   </property>
   <property name="toolTip">
    <string>Close pattern</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionLast_tool">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Last Tool</string>
   </property>
   <property name="toolTip">
    <string>Activate last used tool again</string>
   </property>
   <property name="shortcut">
    <string notr="true">L</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionShowCurveDetails">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Show Curve Details</string>
   </property>
   <property name="toolTip">
    <string>Show/hide control points and curve direction</string>
   </property>
   <property name="shortcut">
    <string notr="true">F2</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionPrint">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="document-print">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print</string>
   </property>
   <property name="toolTip">
    <string>Print an original layout</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
  </action>
  <action name="actionPrintTiled">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="document-print">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print tiled PDF</string>
   </property>
   <property name="toolTip">
    <string>Split and print a layout into smaller pages (for regular printers)</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
  </action>
  <action name="actionPrintPreview">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="document-print-preview">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Print preview</string>
   </property>
   <property name="toolTip">
    <string>Print preview original layout</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
  </action>
  <action name="actionPrintPreviewTiled">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="document-print-preview">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Preview tiled PDF</string>
   </property>
   <property name="toolTip">
    <string>Print preview tiled layout</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
  </action>
  <action name="actionExportAs">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
     <normaloff>:/icon/32x32/export_to_picture_document.png</normaloff>:/icon/32x32/export_to_picture_document.png</iconset>
   </property>
   <property name="text">
    <string>Export As…</string>
   </property>
   <property name="toolTip">
    <string>Export original layout</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
  </action>
  <action name="actionLoadIndividual">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Load Individual</string>
   </property>
   <property name="toolTip">
    <string>Load Individual measurements file</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionLoadMultisize">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Load Multisize</string>
   </property>
   <property name="iconText">
    <string>Load Multisize</string>
   </property>
   <property name="toolTip">
    <string>Load multisize measurements file</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionOpenTape">
   <property name="text">
    <string>Open Tape</string>
   </property>
   <property name="toolTip">
    <string>Open Tape app for creating or editing measurements file</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionEditCurrent">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Edit Current</string>
   </property>
   <property name="toolTip">
    <string>Edit linked to the pattern measurements</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionSyncMeasurements">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset resource="../../libs/vmisc/share/resources/icon.qrc">
     <normaloff>:/icon/32x32/syncM.png</normaloff>:/icon/32x32/syncM.png</iconset>
   </property>
   <property name="text">
    <string>Sync</string>
   </property>
   <property name="toolTip">
    <string>Synchronize linked to the pattern measurements after change</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionUnloadMeasurements">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Unload Current</string>
   </property>
   <property name="toolTip">
    <string>Unload measurements if they were not used in a pattern file</string>
   </property>
   <property name="shortcut">
    <string notr="true"/>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionExportIncrementsToCSV">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Export increments to CSV</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionZoomFitBestCurrent">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Zoom fit best current</string>
   </property>
   <property name="toolTip">
    <string>zoom fit best current pattern piece</string>
   </property>
   <property name="shortcut">
    <string notr="true">Ctrl+M</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionLabelTemplateEditor">
   <property name="text">
    <string>Label template editor</string>
   </property>
  </action>
  <action name="actionFinalMeasurements">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Final measurements</string>
   </property>
  </action>
  <action name="actionExportFinalMeasurementsToCSV">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Export Final Measurements to CSV</string>
   </property>
  </action>
  <action name="actionNextPatternPiece">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Next pattern piece</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+PgDown</string>
   </property>
  </action>
  <action name="actionPreviousPatternPiece">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Previous pattern piece</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+PgUp</string>
   </property>
  </action>
  <action name="actionIncreaseLabelFont">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-in">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Increase label font</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionDecreaseLabelFont">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-out">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Decrease label font</string>
   </property>
   <property name="menuRole">
    <enum>QAction::NoRole</enum>
   </property>
  </action>
  <action name="actionOriginalLabelFont">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="zoom-original">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Original label font</string>
   </property>
  </action>
  <action name="actionHideLabels">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Hide labels</string>
   </property>
  </action>
  <action name="actionExportRecipe">
   <property name="checkable">
    <bool>false</bool>
   </property>
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Export recipe</string>
   </property>
  </action>
  <action name="actionShowMainPath">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Show main path</string>
   </property>
   <property name="toolTip">
    <string>Globally show pieces main path</string>
   </property>
  </action>
  <action name="actionLoadWatermark">
   <property name="enabled">
    <bool>true</bool>
   </property>
   <property name="icon">
    <iconset theme="document-open">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Load</string>
   </property>
  </action>
  <action name="actionRemoveWatermark">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="icon">
    <iconset theme="edit-delete">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Remove</string>
   </property>
  </action>
  <action name="actionEditCurrentWatermark">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Edit current</string>
   </property>
  </action>
  <action name="actionWatermarkEditor">
   <property name="icon">
    <iconset theme="document-new">
     <normaloff>.</normaloff>.</iconset>
   </property>
   <property name="text">
    <string>Editor</string>
   </property>
   <property name="toolTip">
    <string>Create or edit a watermark</string>
   </property>
  </action>
  <action name="actionOpenPuzzle">
   <property name="text">
    <string>Open Puzzle</string>
   </property>
   <property name="toolTip">
    <string>Open the Puzzle app</string>
   </property>
  </action>
  <action name="actionCreateManualLayout">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Create</string>
   </property>
   <property name="toolTip">
    <string>Create manual layout</string>
   </property>
  </action>
  <action name="actionUpdateManualLayout">
   <property name="enabled">
    <bool>false</bool>
   </property>
   <property name="text">
    <string>Update</string>
   </property>
   <property name="toolTip">
    <string>Update manual layout</string>
   </property>
  </action>
  <action name="actionShop">
   <property name="text">
    <string>Shop</string>
   </property>
  </action>
 </widget>
 <layoutdefault spacing="6" margin="11"/>
 <customwidgets>
  <customwidget>
   <class>VMainGraphicsView</class>
   <extends>QGraphicsView</extends>
   <header>vmaingraphicsview.h</header>
  </customwidget>
  <customwidget>
   <class>VLineEdit</class>
   <extends>QLineEdit</extends>
   <header>vlineedit.h</header>
  </customwidget>
  <customwidget>
   <class>VPlainTextEdit</class>
   <extends>QPlainTextEdit</extends>
   <header>vplaintextedit.h</header>
  </customwidget>
 </customwidgets>
 <resources>
  <include location="share/resources/toolicon.qrc"/>
  <include location="../../libs/vmisc/share/resources/icon.qrc"/>
 </resources>
 <connections/>
</ui>
